# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import DataProvider
from Products.funittest import dataprovider

class GroupSpaceUser(DataProvider):
    pass
                
default = {'id': 'samplegroupspacemember',
           'fullname':'A GroupSpace Member',
           'roles':['Member',],
           'groups':[],
           }    
           
key="id"           
user = GroupSpaceUser("GrufSpaces", default, key)
for provide in [user.provide, dataprovider.cmfplone.user.provide]:
    # Provide users both in plone users and for grufspaces
    # Providing them for plone, makes sure the users are created like the standard plone users
    # Providing them for grufspaces, makes sure they can be identified and used for the purposes of grufspaces
    provide(id='samplegroupmember',
            fullname='Sample Group Member',
            roles=['Member',],
            groups=[],)
    provide(id='samplegroupvisitor',
            fullname='Sample Group Visitor',
            roles=['Member',],
            groups=[],)
    provide(id='samplegroupadmin',
            fullname='Sample Group Admin',
            roles=['Member',],
            groups=[],)
    provide(id='samplegroupleader',
            fullname='Sample Group Leader',
            roles=['Member',],
            groups=[],)
