# -*- coding: utf-8 -*-
## GrufSpaces
## Group environments for elaborating and exchanging information
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import DataProvider
from Products.funittest import dataprovider

class LocalRoles(DataProvider):
    pass
                
default = {'id': 'samplegroupspacemember',
           'type':'user', # 'group'
           'local_roles':[],
           }    

key="id"
localroles = LocalRoles("GrufSpaces", default, key)
provide = localroles.provide

user = dataprovider.grufspaces.groupspaceuser.get('samplegroupmember')
provide(id=user['id'],
        type='user',
        local_roles=['GroupMember'],)
user = dataprovider.grufspaces.groupspaceuser.get('samplegroupvisitor')
provide(id=user['id'],
        type='user',
        local_roles=['GroupVisitor'],)
user = dataprovider.grufspaces.groupspaceuser.get('samplegroupadmin')
provide(id=user['id'],
        type='user',
        local_roles=['GroupAdmin'],)
user = dataprovider.grufspaces.groupspaceuser.get('samplegroupleader')
provide(id=user['id'],
        type='user',
        local_roles=['GroupLeader'],)
group = dataprovider.cmfplone.group.get('Administrators')
provide(id=group['id'],
        type='group',
        local_roles=['GroupAdmin'],)
group = dataprovider.cmfplone.group.get('Reviewers')
provide(id=group['id'],
        type='group',
        local_roles=['GroupAdmin'],)
